Subject: Re: [PATCH v4 0/8] hash: introduce unsafe_hash_algo(), drop unsafe_ variants

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Jan 2025 10:30:06 -0800

Taylor Blau <[email-masked]> writes:

> (This series is based on 14650065b7 (RelNotes/2.48.0: fix typos etc.,
> 2025-01-07)).
>
> Here is a hopefully final version of my series to harden the unsafe hash
> algorithm changes added in v2.47.0. The only difference from last time
> is that hash_algo_by_ptr() now returns GIT_HASH_UNKNOWN for NULL and
> unsafe variants, which is a strict improvement from both v3 of this
> series and the status-quo on master.
>
> As usual, a (small) range-diff is included below for convenience, and
> the original cover letter is as follows:

Thanks.  I'll mark it for 'next', unless there are any further
comments.